/*******************************************************************************************
 * Logic Section - Code that captures and interprets user input
 *******************************************************************************************/

/////////////////////////////////////////////////////////////////////////////////////////////
// Libraries - For special control of the phone
/////////////////////////////////////////////////////////////////////////////////////////////

import processing.phone.*;
Phone myPhone; // Named reference to your phone

/////////////////////////////////////////////////////////////////////////////////////////////
// State - Named modes of the program to make code more readable
/////////////////////////////////////////////////////////////////////////////////////////////

// Names for each possible screen
int SCREEN_MENU = 0;
int SCREEN_A = 1;
int SCREEN_B = 2;
int SCREEN_C = 3;

int screenMode = SCREEN_MENU;  // Overall mode of the application, start with the menu

/////////////////////////////////////////////////////////////////////////////////////////////
// Setup - Executes only once, prepares program to run (Logic Initialization)
/////////////////////////////////////////////////////////////////////////////////////////////

void setup()
{ 
  myPhone = new Phone(this); // Creates a phone controller
  myPhone.fullscreen();      // Use the entire screen

  loadMenu();
  loadScreenA();
  loadScreenB();
  loadScreenC();
}

/////////////////////////////////////////////////////////////////////////////////////////////
// Draw - Executes forever, provides user feedback (Logic Repetition)
/////////////////////////////////////////////////////////////////////////////////////////////

void draw()
{
  if(screenMode == SCREEN_MENU){
    drawMenu();
  } 
  else if(screenMode == SCREEN_A){
    drawScreenA();
  } 
  else if(screenMode == SCREEN_B){
    drawScreenB();
  } 
  else if(screenMode == SCREEN_C){
    drawScreenC();
  } 
}

/////////////////////////////////////////////////////////////////////////////////////////////
// KeyPressed - Executes whenever a key is pressed, captures user input (User Input)
/////////////////////////////////////////////////////////////////////////////////////////////

void keyPressed()
{
  if(keyCode == '0'){
    screenMode = SCREEN_MENU;
  } 
  else if(keyCode == '1'){
    screenMode = SCREEN_A;
  }
  else if(keyCode == '2'){
    screenMode = SCREEN_B;
  }
  else if(keyCode == '3'){
    screenMode = SCREEN_C;
  }
}
