import processing.core.*; import processing.phone.*; public class application_step7 extends PMIDlet{/*
  Application Example (Step 7)
  Basic structure with tabs for organization
  1 December 2009
*/

/*******************************************************************************************
 * Graphics Section - Code that provides feedback to the user (behaviors)
 *******************************************************************************************/

// Named references to images
PImage menu;
PImage menuoptions;
PImage menufocusbar;

// Function to load all the images for the menu
public void loadMenu()
{
  menu = loadImage("menu.png");
  menuoptions = loadImage("menuoptions.png");
  menufocusbar = loadImage("menufocusbar.png");
}

// Function to draw the menu screen
public void drawMenu()
{
  // draw menu background
  image(menu, 0, 0);

  // draw focus bar
  if(menuFocus == MENU_OPTIONA){
    image(menufocusbar, 0, 50);
  }
  else if(menuFocus == MENU_OPTIONB){
    image(menufocusbar, 0, 85);
  }
  else if(menuFocus == MENU_OPTIONC){
    image(menufocusbar, 0, 120);
  }

  // draw menu options text
  image(menuoptions, 0, 0);
}

// Same for Screen A ////////////////////////////////////////////////////////////////////////

PImage screenA;

public void loadScreenA()
{
  screenA = loadImage("screen_a.png");
}

public void drawScreenA()
{
  image(screenA, 0, 0);
}

// Same for Screen B ////////////////////////////////////////////////////////////////////////

PImage screenB;

public void loadScreenB()
{
  screenB = loadImage("screen_b.png");
}

public void drawScreenB()
{
  image(screenB, 0, 0);
}

// Same for Screen C ////////////////////////////////////////////////////////////////////////

PImage screenC;

public void loadScreenC()
{
  screenC = loadImage("screen_c.png");
}

public void drawScreenC()
{
  image(screenC, 0, 0);
}

/*******************************************************************************************
 * Logic Section - Code that captures and interprets user input
 *******************************************************************************************/

/////////////////////////////////////////////////////////////////////////////////////////////
// Libraries - For special control of the phone
/////////////////////////////////////////////////////////////////////////////////////////////


Phone myPhone; // Named reference to your phone

/////////////////////////////////////////////////////////////////////////////////////////////
// State - Named modes of the program to make code more readable
/////////////////////////////////////////////////////////////////////////////////////////////

// Names for each possible screen
int SCREEN_MENU = 0;
int SCREEN_A = 1;
int SCREEN_B = 2;
int SCREEN_C = 3;

// Names for each possible menu focus selection
int MENU_OPTIONA = 0;
int MENU_OPTIONB = 1;
int MENU_OPTIONC = 2;

int screenMode = SCREEN_MENU;  // Overall mode of the application, start with the menu
int menuFocus = MENU_OPTIONA;  // Focus state of the menu

/////////////////////////////////////////////////////////////////////////////////////////////
// Setup - Executes only once, prepares program to run (Logic Initialization)
/////////////////////////////////////////////////////////////////////////////////////////////

public void setup()
{ 
  myPhone = new Phone(this); // Creates a phone controller
  myPhone.fullscreen();      // Use the entire screen

  loadMenu();
  loadScreenA();
  loadScreenB();
  loadScreenC();
}

/////////////////////////////////////////////////////////////////////////////////////////////
// Draw - Executes forever, provides user feedback (Logic Repetition)
/////////////////////////////////////////////////////////////////////////////////////////////

public void draw()
{
  if(screenMode == SCREEN_MENU){
    drawMenu();
  } 
  else if(screenMode == SCREEN_A){
    drawScreenA();
  } 
  else if(screenMode == SCREEN_B){
    drawScreenB();
  } 
  else if(screenMode == SCREEN_C){
    drawScreenC();
  } 
}

/////////////////////////////////////////////////////////////////////////////////////////////
// KeyPressed - Executes whenever a key is pressed, captures user input (User Input)
/////////////////////////////////////////////////////////////////////////////////////////////

public void keyPressed()
{
  // if showing menu
  if(screenMode == SCREEN_MENU){
    // if focused on option A
    if(menuFocus == MENU_OPTIONA){
      // if pressed down
      if(keyCode == DOWN){
        menuFocus = MENU_OPTIONB; // move focus to option B
      }
    }
    // if focused on option B
    else if(menuFocus == MENU_OPTIONB){
      // if pressed up
      if(keyCode == UP){
        menuFocus = MENU_OPTIONA; // move focus to option A
      }
      // if pressed down
      else if(keyCode == DOWN){
        menuFocus = MENU_OPTIONC; // move focus to option C
      }
    }
    // if focused on option C
    else if(menuFocus == MENU_OPTIONC){
      // if pressed up
      if(keyCode == UP){
        menuFocus = MENU_OPTIONB; // move focus to option B
      }
    }
  }
}

}